eCos Reference Manual
Prev |  | Next

# go

## Name

go -- Execute a program

## Synopsis

go [-w `timeout`] [`start_address`]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-w `timeout` | Number | How long to wait before starting execution. | 0
`start_address` | Number | Address in memory to begin execution. | Value set by last load or fis load command.

## Description

The go command causes RedBoot to give control of the target platform to another program. This program must execute stand alone, e.g. an eCos application or a Linux kernel.

If the -w option is used, RedBoot will print a message and then wait for a period of time before starting the execution. This is most useful in a script, giving the user a chance to abort executing a program and move on in the script.

## Examples

Execute a program - no explicit output from RedBoot.

    RedBoot> go 0x40040

Execute a program with a timeout.

    RedBoot> go -w 10
    About to start execution at 0x00000000 - abort with ^C within 10 seconds
    ^C
    RedBoot>

Note that the starting address was implied (0x00000000 in this example). The user is prompted that execution will commence in 10 seconds. At anytime within that 10 seconds the user may type Ctrl+C on the console and RedBoot will abort execution and return for the next command, either from a script or the console.

Prev | Home | Next
Executing Programs from RedBoot | Up | exec